swish-0.9.0.7: A semantic web toolkit.

Portability | H98
Stability | experimental
Maintainer | Douglas Burke
Safe Haskell | Safe-Inferred

Swish.Utils.ListHelpers

Description

Synopsis

- flist :: [a -> b] -> a -> [b]

# Documentation

flist :: [a -> b] -> a -> [b]Source

Apply list of functions to some value, returning list of results. It's kind of like an converse map.

This is similar to the `ap` function in the Monad library.